Pract.us is a web application, which means it will run on just about any device that supports one of the browsers listed below:

  • Internet Explorer 11+
  • Internet Explorer Mobile 11+
  • Firefox 28+
  • Safari 6.1+
  • iOS Safari 7.1+
  • Android Browser 4.4+
  • Google Chrome 21+
  • Chrome for Android 44+
  • Firefox for Android 40+
  • Opera 17+
  • Opera Mini 8+
  • Blackberry Browser 10+

Pract.us uses some relatively advanced features of HTML5 which are not supported by all browsers, especially older versions. If you experience problems such as pages and shapes not fitting onto your screen correctly, or lists not scrolling properly, please check to make sure you're using one of the browsers listed above. Because HTML5 is an important industry standard, support for it will only increase with each new browser version released.